### Method

# Panel ChangesDialog run_async

#### Declaration [src]

    void
    panel_changes_dialog_run_async (
      PanelChangesDialog* self,
      GtkWidget* parent,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

This method completes asynchronously. Use `panel_changes_dialog_run_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`parent`

  Type: `GtkWidget`

  No description available.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.